Name:           cockpit-image-builder
Version:        64
Release:        1.20250411071314597828.pr3092.33.g796ca88d%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-65.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Fri Apr 11 2025 Packit <hello@packit.dev> - 64-1.20250411071314597828.pr3092.33.g796ca88d
- Wizard: Fix linting errors (regexowl)
- Wizard: Promote WSL to prod-stable (Simon Steinbeiss)
- Wizard: Add Popover to show WSL is not supported (Simon Steinbeiss)
- build(deps-dev): bump stylelint from 16.16.0 to 16.18.0 (dependabot[bot])
- ImagesTable: Fix AWS regions indicator (off by one) (Simon Steinbeiss)
- build(deps): bump @reduxjs/toolkit from 2.6.0 to 2.6.1 (dependabot[bot])
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- build(deps-dev): bump typescript from 5.8.2 to 5.8.3 (dependabot[bot])
- Wizard: Fix status error (regexowl)
- Wizard: Removed nav status override (regexowl)
- Wizard: "No results" option should be disabled (regexowl)
- Wizard: Update `useChrome` import (regexowl)
- Wizard: Switch from deprecated select in `ActivationKeys` (regexowl)
- Wizard: Move `PopoverActivation` and `ManageKeysButton` (regexowl)
- Update Konflux references (red-hat-konflux[bot])
- build(deps): bump vite from 6.2.4 to 6.2.5 (dependabot[bot])
- build(deps-dev): bump @currents/playwright from 1.11.4 to 1.12.0 (dependabot[bot])
- devDeps: Bump vitest deps (regexowl)
- fedora-services: add tests (Amir)
- Fedora-services: add support for fedora env (Amir)
- Playwright: Add check for admin access popup (regexowl)
- change repo snapshot step to repeatable builds (Justin Sherrill)
- Wizard: add satellite registration, add jwt-decode (Anna Vítová)
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- build(deps): bump @unleash/proxy-client-react from 4.5.2 to 5.0.0 (dependabot[bot])
- Wizard: make optional steps clickable on prem (Katarina Sieklova)
- Wizard: Fix OpenSCAP select width (regexowl)
- Wizard: Update microcopy on Locale step (HMS-5656) (regexowl)
- Wizard: `for ... in` loop to `for ... of` loop (regexowl)
- test: Update tests (regexowl)
- Wizard: Replace deprecated select in OpenSCAP step (regexowl)
- Wizard: Move stuff around, split into more components (regexowl)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
